Bug 459120 - NM_CONTROLED default value
NM_CONTROLED default value
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
Blocks: 438902
  Show dependency treegraph
Reported: 2008-08-14 11:03 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:48 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-14 14:10:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2008-08-14 11:03:15 EDT
Description of problem:
NetworkManager takes control over device even if NM_CONTROLED= is not set. The default value for other settings in ifcfg-* scripts is 'no' so it should be the same for NM.
Comment 1 Dan Williams 2008-08-14 14:10:57 EDT
This is by design.  NM will only treat a device as unmanaged if NM_CONTROLLED=no is specified in the ifcfg.  What's the real problem here?  The defaults don't need to be consistent (and some aren't, like PEERDNS defaults to yes).
Comment 2 Jiri Moskovcak 2008-08-15 04:51:53 EDT
The problem is if someone creates ifcfg-* file by hand without any mention of NM he can be confused why NM is taking control over the card. So I think better solution would be to make anaconda to write NM_CONTROLLED=yes into config files and make deafult 'no'.


Note You need to log in before you can comment on or make changes to this bug.